# syntax=docker/dockerfile:1

FROM python:3.14-slim AS base

ENV PYTHONDONTWRITEBYTECODE=1 \
    PYTHONUNBUFFERED=1 \
    PIP_ROOT_USER_ACTION=ignore

WORKDIR /app

RUN apt-get update \
    && apt-get install -y --no-install-recommends build-essential curl postgresql-client \
    && rm -rf /var/lib/apt/lists/*

COPY pyproject.toml /app/

RUN pip install --upgrade pip \
    && pip install --no-cache-dir uv \
    && uv pip install --system .

COPY . /app

CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]


FROM base AS celery

CMD ["celery", "-A", "flower", "worker", "-l", "info", "--concurrency=2"]

